/* filtros bodegas */
.bodegas-filters {
    border-top: 1px solid var(--surface-border);
    border-bottom: 1px solid var(--surface-border);
    padding: 16px 0;
    display: flex;
    align-items: center;
    gap: 24px;
    margin-bottom: 64px;
}

.bodegas-filters .filter {
    font-size: 20px;
    font-weight: 200;
    letter-spacing: 0.03em;
    text-transform: uppercase;
    border: 1px solid var(--border);
    border-radius: var(--corner-small);
    padding: 8px 32px;
    background: none;
    color: var(--button-solid-hover-on-background-color);
    transition: var(--transition-btn);
    overflow: hidden;
    position: relative;
    cursor: pointer;
}

.bodegas-filters .filter .second-word {
    font-weight: 700;
}

.bodegas-filters .filter:hover {
    color: var(--button-solid-on-background-color);
}

.bodegas-filters .filter::before {
    content: "";
    position: absolute;
    left: 0;
    top: 100%;
    width: 100%;
    height: 100%;
    background-color: var(--button-solid-background-color);
    z-index: -1;
    transition: var(--transition-btn);
}

.bodegas-filters .filter:hover::before {
    top: 0;
}

/* filtro activo */
.bodegas-filters .filter.active,
.bodegas-filters .filter.active:hover {
    color: var(--on-background-main);
    border-color: var(--border-main);
    cursor: default;
}

.bodegas-filters .filter.active::before,
.bodegas-filters .filter.active:hover::before {
    content: none;
}

/* listado bodegas */
.bodegas-grid {
    position: relative;
}

.bodega-item {
    width: calc((100% - 3 * 24px) / 4);
    /* 4 columnas, 3 gutters de 24px */
    box-sizing: border-box;
    margin-bottom: 80px;
    border-radius: var(--corner-small);
}

.bodega-item a {
    display: flex;
    position: relative;
}

.bodega-item .bodega-name-overlay {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    padding: 16px;
    background: rgba(248, 249, 249, 0.90);
    transition: var(--transition-large);
    opacity: 0;
    z-index: 1;
}

.bodega-item:hover .bodega-name-overlay {
    opacity: 1;
    backdrop-filter: blur(8px);
}

.bodega-item .bodega-name-overlay h2 {
    text-transform: uppercase;
    font-size: 16px;
    line-height: 150%;
    letter-spacing: 0.03em;
    font-weight: 700;
    padding: 24px 0 0;
    text-align: center;
    color: var(--on-background-main);
    opacity: 0;
    transition: var(--transition-large) 0.3s;
}

.bodega-item:hover .bodega-name-overlay h2 {
    opacity: 1;
    padding: 0;
}

/* ············································································responsive 1023px ······································ */
@media (max-width: 1023px) {
    .bodegas-filters {
        padding: 12px 0;
        gap: 16px;
        margin-bottom: 32px;
    }

    .bodegas-filters .filter {
        font-size: 16px;
        padding: 8px 24px;
    }

    .bodega-item {
        width: calc((100% - 2 * 24px) / 3);
        margin-bottom: 24px;
    }

    .bodega-item .bodega-name-overlay h2 {
        font-size: 14px;
        line-height: 120%;
    }
}

/* ············································································responsive 767px ······································ */
@media (max-width: 767px) {
    .bodegas-filters {
        padding: 8px 0;
        gap: 8px;
        margin-bottom: 24px;
    }

    .bodegas-filters .filter {
        font-size: 10px;
        padding: 2px 6px;
        line-height: 14px;
        font-weight: 300;
        border-radius: var(--corner-extra-small);
        letter-spacing: 0;
    }

    .bodega-item {
        width: calc((100% - 1 * 24px) / 2);
        margin-bottom: 8px;
    }

    .bodega-item .bodega-name-overlay {
        padding: 8px;
    }

    .bodega-item .bodega-name-overlay h2 {
        font-size: 12px;
        line-height: 120%;
        padding: 16px 0 0;
    }
}